httpd-apreq-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pgollu...@apache.org
Subject svn commit: r365445 - /httpd/apreq/trunk/build/version_check.pl
Date Mon, 02 Jan 2006 21:47:21 GMT
Author: pgollucci
Date: Mon Jan  2 13:47:19 2006
New Revision: 365445

URL: http://svn.apache.org/viewcvs?rev=365445&view=rev
Log:
doxygen 1.4.5 blows up horribly on @endmanonly destroying all language bindings links
I've successfully downgraded to 1.4.1, but have not tried the intermediate versions.
I should note, that FreeBSD ports are at 1.4.5 at the time of this commit


Modified:
    httpd/apreq/trunk/build/version_check.pl

Modified: httpd/apreq/trunk/build/version_check.pl
URL: http://svn.apache.org/viewcvs/httpd/apreq/trunk/build/version_check.pl?rev=365445&r1=365444&r2=365445&view=diff
==============================================================================
--- httpd/apreq/trunk/build/version_check.pl (original)
+++ httpd/apreq/trunk/build/version_check.pl Mon Jan  2 13:47:19 2006
@@ -49,7 +49,7 @@
                 libtool => { version => "1.4.3",   test => \&gnu_version },
                autoconf => { version => "2.53",    test => \&gnu_version },
                automake => { version => "1.6.0",   test => \&gnu_version },
-                doxygen => { version => "1.2",     test => \&gnu_version },
+                doxygen => { version => "1.2",     test => \&gnu_version, broken_version
=> '1.4.5' },
                    perl => { version => "5.6.1",   test => \&gnu_version },
   "ExtUtils::XSBuilder" => { version => "0.23",    test => \&xsb_version },
             );
@@ -228,6 +228,8 @@
         last if $version[$_] < $saw[$_];
         $fail = 1, last if $version[$_] > $saw[$_];
     }
+
+    die "version $saw is broken" if exists $prereq{$tool}->{broken_version} &&
$saw eq $prereq{$tool}->{broken_version};
 }
 
 if ($fail) {



Mime
View raw message